#! /bin/sh

set -e

DIRNAME=`mktemp -d deleteme-XXXXXX`

cd $DIRNAME
ORIGBALL=../$NAME-$VERSION.tar.bz2
DESTBALL=../$NAME-$VERSION.patched.tar.bz2
echo "Saving original file list"
tar -tjf $ORIGBALL | sort > origfiles.txt
echo "Extracting original tarball"
tar -xjf $ORIGBALL

MPEG_INFIXES="mpeg mpg mp3 mp2 mad"

for I in $MPEG_INFIXES; do
    rm -rf $NAME-$VERSION/gst/*$I*
    perl -pi -e "s/[a-zA-Z0-9]*$I[a-zA-Z0-9]*//g" $NAME-$VERSION/gst/Makefile.in
    rm -rf $NAME-$VERSION/ext/*$I*
    perl -pi -e "s/[a-zA-Z0-9]*$I[a-zA-Z0-9]*//g" $NAME-$VERSION/ext/Makefile.in
done

echo "Creating new tarball"
tar -cjf $DESTBALL $NAME-$VERSION
echo "Extracting new file list"
tar -tjf $DESTBALL | sort > newfiles.txt

diff -u origfiles.txt newfiles.txt > ../removed-sources.txt || true

cd ..
rm -rf $DIRNAME

echo "$NAME-$VERSION.patched.tar.bz2 created, removed files in removed-sources.txt"

exit 0
